// LDR is connected via 10 kOhm pullup resistor to pin A0
#define sensorPin A0

// LED connected to pin 13
#define ledPin 13

// storage for sensor value read
int sensorValue = 0;

// average light level
float avg;

void setup() {
  // define I/O pins
  pinMode(ledPin, OUTPUT);
  pinMode(sensorPin, INPUT);

  //read initial value to have a start value
  avg = analogRead(sensorPin);
}

float newAverage(int newval){
  // this simulates an array that holds 2000 samples
  avg = (1999 * avg + newval)/2000; 
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin);
  newAverage(sensorValue);
  // do something with the value read from the sensor
  if (sensorValue < avg) { // try level-100
    // switch LED ON
    digitalWrite(ledPin, HIGH);
  } else {
    // switch LED off
    digitalWrite(ledPin, LOW);
  }
}
